Bug 22010 - ошибка при apt-get update
: ошибка при apt-get update
Status: NEW
: Sisyphus
(All bugs in Sisyphus/apt)
: unstable
: all Linux
: P3 normal
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2009-10-21 09:50 by
Modified: 2009-10-21 09:50 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2009-10-21 09:50:36
Альт у меня обновляется через http-прокси, поэтому я пользуюсь
http-источниками, например http://ftp.altlinux.org
Если сделать apt-get update, то в первый раз все проходит нормально, но после
повторного выполнения этой команды вылетает ошибка:

Get:1 http://ftp.altlinux.org i586 release [727B]
Get:2 http://ftp.altlinux.org noarch release [726B]
Fetched 1453B in 0s (2868B/s)
Hit http://ftp.altlinux.org i586/classic pkglist
Hit http://ftp.altlinux.org i586/classic release
Err http://ftp.altlinux.org noarch/classic pkglist
  The http server sent an invalid reply header
Err http://ftp.altlinux.org noarch/classic release
  The http server sent an invalid reply header
Failed to fetch
http://ftp.altlinux.org/pub/distributions/ALTLinux/p5/branch/noarch/base/pkglist.classic
 The http server sent an invalid reply header
Failed to fetch
http://ftp.altlinux.org/pub/distributions/ALTLinux/p5/branch/noarch/base/release.classic
 The http server sent an invalid reply header
Reading Package Lists... Done
Building Dependency Tree... Done
E: Some index files failed to download, they have been ignored, or old ones
used instead.

Лечится только изменением зеркала и повторным запуском apt-get update. Баг
проявляется на всех http-зеркалах.